- [HTTP request](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.resourceEnrollmentStatuses/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.resourceEnrollmentStatuses/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.resourceEnrollmentStatuses/get#body.request_body)
- [Response body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.resourceEnrollmentStatuses/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.resourceEnrollmentStatuses/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.resourceEnrollmentStatuses/get#body.aspect_1)

Gets a resource and its enrollment status.

### HTTP request

`GET https://auditmanager.googleapis.com/v1/{name=projects/*/locations/*/resourceEnrollmentStatuses/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource enrollment status, in one of the following formats: - `folders/{folder}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}` - `projects/{project}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}` - `organizations/{organization}/locations/{location}/resourceEnrollmentStatuses/{resource_enrollment_status}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/folders.locations.resourceEnrollmentStatuses#ResourceEnrollmentStatus`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `auditmanager.resourceEnrollmentStatuses.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).